Get Agent by ID
curl --request GET \
--url https://api.example.com/agents/{agent_id}import requests
url = "https://api.example.com/agents/{agent_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/agents/{agent_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"acp_type": "sync",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"status": "Unknown",
"status_reason": "<string>",
"registration_metadata": {},
"registered_at": "2023-11-07T05:31:56Z",
"agent_input_type": "text",
"production_deployment_id": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Agents
Get Agent by ID
Get an agent by its unique ID.
GET
/
agents
/
{agent_id}
Get Agent by ID
Path Parameters
Response
Successful Response
The unique identifier of the agent.
The unique name of the agent.
The description of the action.
The type of the ACP Server (Either sync or async)
Available options:
sync, async, agentic The timestamp when the agent was created
The timestamp when the agent was last updated
The status of the action, indicating if it's building, ready, failed, etc.
Available options:
Ready, Failed, Unknown, Deleted, Unhealthy, BuildOnly The reason for the status of the action.
The metadata for the agent's registration.
The timestamp when the agent was last registered
The type of input the agent expects.
Available options:
text, json ID of the current production deployment.

